package aQute.library.util;

import aQute.bnd.version.*;
import aQute.service.library.Library.Revision;

public class LibraryUtil {

	public static Revision highestMaster(Iterable< ? extends Revision> revisions) {
		Version highest = Version.LOWEST;
		Revision selected = null;
		for (Revision r : revisions) {
			if (r.phase.isListable()) {
				Version v = new Version(r.baseline);
				if (v.compareTo(highest) >= 0) {
					selected = r;
					highest = v;
				}
			}
		}
		return selected;
	}

}
